Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.ec2.model
Enum VirtualizationType

    java.lang.Object
      java.lang.Enum<VirtualizationType>
          com.amazonaws.services.ec2.model.VirtualizationType

All Implemented Interfaces:
  Serializable, Comparable<VirtualizationType>

    public enum VirtualizationType

extends Enum<VirtualizationType>

Virtualization Type

Enum Constant Summary
`Hvm`
`Paravirtual`

Method Summary
`static VirtualizationType` | `fromValue(String value)` Use this in place of valueOf.
`String` | `toString()`
`static VirtualizationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VirtualizationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Hvm

    public static final VirtualizationType Hvm

### Paravirtual

    public static final VirtualizationType Paravirtual

Method Detail

### values

    public static VirtualizationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VirtualizationType c : VirtualizationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VirtualizationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<VirtualizationType>`

### fromValue

    public static VirtualizationType fromValue(String value)

  Use this in place of valueOf.

  Parameters:
    `value` - real value
  Returns:
    VirtualizationType corresponding to the value

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.